<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Tasks</title>
    <link rel="stylesheet" href="/styles.css" />
  </head>

  <body>
    <nav>
      <ul class="top-panel">
        <li class="left-content"><span>CMS</span></li>
        <li class="right-content">
          <span class="account">Maksym Vitushynskyi</span>
        </li>

        <li class="right-content profile-icon">
          <img src="/icons/profile-icon.png" alt="Account" class="icon panel" />
          <div class="profile-dropdown">
            <a href="#">Profile</a>
            <a href="#">Log out</a>
          </div>
        </li>

        <li class="right-content">
          <div class="circle-animation">
            <img
              src="/icons/bell_icon.png"
              alt="Дзвіночок"
              class="icon panel"
              id="bell_icon"
            />
            <div class="circle-image green"></div>
            <div class="notification-panel">
              <div class="profile-info">
                <img
                  src="/icons/profile-icon.png"
                  alt="Admin 1 Avatar"
                  class="profile-avatar"
                />
                <div class="sender-message"></div>
                <div class="message-rectangle"></div>
              </div>

              <div class="profile-name">Admin 1</div>
              <div class="profile-info">
                <img
                  src="/icons/profile-icon.png"
                  alt="Admin 2 Avatar"
                  class="profile-avatar"
                />
                <div class="sender-message"></div>
                <div class="message-rectangle"></div>
              </div>
              <div class="profile-name">Admin 2</div>
            </div>
          </div>
        </li>
      </ul>
    </nav>

    <section>
      <nav class="sidebar">
        <ul>
          <li><a href="#">Dashboard</a></li>
          <li><a href="#">Students</a></li>
          <li><a href="#">Tasks</a></li>
        </ul>
      </nav>
    </section>

    <header>
      <h1>Student's Tasks</h1>
      <button id="add-row-button" class="button"></button>
    </header>

    <main class="container">
      <!-- Віконечко для додавання запису -->
      <div id="add-row-modal" class="modal">
        <div class="modal-content">
          <span class="close">&times;</span>
          <h2>Add task</h2>
          <form id="add-record-form">
            <label for="group">Priority</label>
            <select id="group">
              <option value="Priority 1">Priority 1</option>
              <option value="Priority 2">Priority 2</option>
              <option value="Priority 3">Priority 3</option></select
            ><br />
            <label for="first-name">Task name:</label>
            <input type="text" id="first-name" name="first-name" /><br />

            <label for="last-name">About:</label>
            <input type="text" id="last-name" name="last-name" /><br />

            <button type="submit" id="ok-button">Ok</button>
            <button type="button" id="cancel-button">Cancel</button>
          </form>
        </div>
      </div>
      <div class="container">
        <!-- Блоки завдань будуть додаватися сюди -->
      </div>
    </main>
    <script src="script.js"></script>
  </body>
</html>
